"Fossies" - the Fresh Open Source Software Archive

Member "unrtf-0.21.9/tests/Makefile.in" (2 Jan 2015, 29152 Bytes) of package /linux/privat/unrtf-0.21.9.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 0.21.8_vs_0.21.9.

    1 # Makefile.in generated by automake 1.13.4 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 VPATH = @srcdir@
   17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
   18 am__make_running_with_option = \
   19   case $${target_option-} in \
   20       ?) ;; \
   21       *) echo "am__make_running_with_option: internal error: invalid" \
   22               "target option '$${target_option-}' specified" >&2; \
   23          exit 1;; \
   24   esac; \
   25   has_opt=no; \
   26   sane_makeflags=$$MAKEFLAGS; \
   27   if $(am__is_gnu_make); then \
   28     sane_makeflags=$$MFLAGS; \
   29   else \
   30     case $$MAKEFLAGS in \
   31       *\\[\ \	]*) \
   32         bs=\\; \
   33         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   34           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   35     esac; \
   36   fi; \
   37   skip_next=no; \
   38   strip_trailopt () \
   39   { \
   40     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   41   }; \
   42   for flg in $$sane_makeflags; do \
   43     test $$skip_next = yes && { skip_next=no; continue; }; \
   44     case $$flg in \
   45       *=*|--*) continue;; \
   46         -*I) strip_trailopt 'I'; skip_next=yes;; \
   47       -*I?*) strip_trailopt 'I';; \
   48         -*O) strip_trailopt 'O'; skip_next=yes;; \
   49       -*O?*) strip_trailopt 'O';; \
   50         -*l) strip_trailopt 'l'; skip_next=yes;; \
   51       -*l?*) strip_trailopt 'l';; \
   52       -[dEDm]) skip_next=yes;; \
   53       -[JT]) skip_next=yes;; \
   54     esac; \
   55     case $$flg in \
   56       *$$target_option*) has_opt=yes; break;; \
   57     esac; \
   58   done; \
   59   test $$has_opt = yes
   60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   62 pkgdatadir = $(datadir)/@PACKAGE@
   63 pkgincludedir = $(includedir)/@PACKAGE@
   64 pkglibdir = $(libdir)/@PACKAGE@
   65 pkglibexecdir = $(libexecdir)/@PACKAGE@
   66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   67 install_sh_DATA = $(install_sh) -c -m 644
   68 install_sh_PROGRAM = $(install_sh) -c
   69 install_sh_SCRIPT = $(install_sh) -c
   70 INSTALL_HEADER = $(INSTALL_DATA)
   71 transform = $(program_transform_name)
   72 NORMAL_INSTALL = :
   73 PRE_INSTALL = :
   74 POST_INSTALL = :
   75 NORMAL_UNINSTALL = :
   76 PRE_UNINSTALL = :
   77 POST_UNINSTALL = :
   78 build_triplet = @build@
   79 host_triplet = @host@
   80 subdir = tests
   81 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
   82 	$(top_srcdir)/config/test-driver
   83 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   84 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
   85 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   86 	$(ACLOCAL_M4)
   87 mkinstalldirs = $(install_sh) -d
   88 CONFIG_HEADER = $(top_builddir)/config.h
   89 CONFIG_CLEAN_FILES =
   90 CONFIG_CLEAN_VPATH_FILES =
   91 AM_V_P = $(am__v_P_@AM_V@)
   92 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
   93 am__v_P_0 = false
   94 am__v_P_1 = :
   95 AM_V_GEN = $(am__v_GEN_@AM_V@)
   96 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
   97 am__v_GEN_0 = @echo "  GEN     " $@;
   98 am__v_GEN_1 = 
   99 AM_V_at = $(am__v_at_@AM_V@)
  100 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  101 am__v_at_0 = @
  102 am__v_at_1 = 
  103 SOURCES =
  104 DIST_SOURCES =
  105 am__can_run_installinfo = \
  106   case $$AM_UPDATE_INFO_DIR in \
  107     n|no|NO) false;; \
  108     *) (install-info --version) >/dev/null 2>&1;; \
  109   esac
  110 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  111 am__tty_colors_dummy = \
  112   mgn= red= grn= lgn= blu= brg= std=; \
  113   am__color_tests=no
  114 am__tty_colors = { \
  115   $(am__tty_colors_dummy); \
  116   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  117     am__color_tests=no; \
  118   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  119     am__color_tests=yes; \
  120   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  121     am__color_tests=yes; \
  122   fi; \
  123   if test $$am__color_tests = yes; then \
  124     red=''; \
  125     grn=''; \
  126     lgn=''; \
  127     blu=''; \
  128     mgn=''; \
  129     brg=''; \
  130     std=''; \
  131   fi; \
  132 }
  133 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  134 am__vpath_adj = case $$p in \
  135     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  136     *) f=$$p;; \
  137   esac;
  138 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  139 am__install_max = 40
  140 am__nobase_strip_setup = \
  141   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  142 am__nobase_strip = \
  143   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  144 am__nobase_list = $(am__nobase_strip_setup); \
  145   for p in $$list; do echo "$$p $$p"; done | \
  146   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  147   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  148     if (++n[$$2] == $(am__install_max)) \
  149       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  150     END { for (dir in files) print dir, files[dir] }'
  151 am__base_list = \
  152   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  153   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  154 am__uninstall_files_from_dir = { \
  155   test -z "$$files" \
  156     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  157     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  158          $(am__cd) "$$dir" && rm -f $$files; }; \
  159   }
  160 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
  161 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
  162 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
  163 # A command that, given a newline-separated list of test names on the
  164 # standard input, print the name of the tests that are to be re-run
  165 # upon "make recheck".
  166 am__list_recheck_tests = $(AWK) '{ \
  167   recheck = 1; \
  168   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  169     { \
  170       if (rc < 0) \
  171         { \
  172           if ((getline line2 < ($$0 ".log")) < 0) \
  173 	    recheck = 0; \
  174           break; \
  175         } \
  176       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  177         { \
  178           recheck = 0; \
  179           break; \
  180         } \
  181       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  182         { \
  183           break; \
  184         } \
  185     }; \
  186   if (recheck) \
  187     print $$0; \
  188   close ($$0 ".trs"); \
  189   close ($$0 ".log"); \
  190 }'
  191 # A command that, given a newline-separated list of test names on the
  192 # standard input, create the global log from their .trs and .log files.
  193 am__create_global_log = $(AWK) ' \
  194 function fatal(msg) \
  195 { \
  196   print "fatal: making $@: " msg | "cat >&2"; \
  197   exit 1; \
  198 } \
  199 function rst_section(header) \
  200 { \
  201   print header; \
  202   len = length(header); \
  203   for (i = 1; i <= len; i = i + 1) \
  204     printf "="; \
  205   printf "\n\n"; \
  206 } \
  207 { \
  208   copy_in_global_log = 1; \
  209   global_test_result = "RUN"; \
  210   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  211     { \
  212       if (rc < 0) \
  213          fatal("failed to read from " $$0 ".trs"); \
  214       if (line ~ /$(am__global_test_result_rx)/) \
  215         { \
  216           sub("$(am__global_test_result_rx)", "", line); \
  217           sub("[ 	]*$$", "", line); \
  218           global_test_result = line; \
  219         } \
  220       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  221         copy_in_global_log = 0; \
  222     }; \
  223   if (copy_in_global_log) \
  224     { \
  225       rst_section(global_test_result ": " $$0); \
  226       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  227       { \
  228         if (rc < 0) \
  229           fatal("failed to read from " $$0 ".log"); \
  230         print line; \
  231       }; \
  232       printf "\n"; \
  233     }; \
  234   close ($$0 ".trs"); \
  235   close ($$0 ".log"); \
  236 }'
  237 # Restructured Text title.
  238 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  239 # Solaris 10 'make', and several other traditional 'make' implementations,
  240 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  241 # by disabling -e (using the XSI extension "set +e") if it's set.
  242 am__sh_e_setup = case $$- in *e*) set +e;; esac
  243 # Default flags passed to test drivers.
  244 am__common_driver_flags = \
  245   --color-tests "$$am__color_tests" \
  246   --enable-hard-errors "$$am__enable_hard_errors" \
  247   --expect-failure "$$am__expect_failure"
  248 # To be inserted before the command running the test.  Creates the
  249 # directory for the log if needed.  Stores in $dir the directory
  250 # containing $f, in $tst the test, in $log the log.  Executes the
  251 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  252 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  253 # will run the test scripts (or their associated LOG_COMPILER, if
  254 # thy have one).
  255 am__check_pre = \
  256 $(am__sh_e_setup);					\
  257 $(am__vpath_adj_setup) $(am__vpath_adj)			\
  258 $(am__tty_colors);					\
  259 srcdir=$(srcdir); export srcdir;			\
  260 case "$@" in						\
  261   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
  262     *) am__odir=.;; 					\
  263 esac;							\
  264 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  265   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
  266 if test -f "./$$f"; then dir=./;			\
  267 elif test -f "$$f"; then dir=;				\
  268 else dir="$(srcdir)/"; fi;				\
  269 tst=$$dir$$f; log='$@'; 				\
  270 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  271   am__enable_hard_errors=no; 				\
  272 else							\
  273   am__enable_hard_errors=yes; 				\
  274 fi; 							\
  275 case " $(XFAIL_TESTS) " in				\
  276   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
  277     am__expect_failure=yes;;				\
  278   *)							\
  279     am__expect_failure=no;;				\
  280 esac; 							\
  281 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  282 # A shell command to get the names of the tests scripts with any registered
  283 # extension removed (i.e., equivalently, the names of the test logs, with
  284 # the '.log' extension removed).  The result is saved in the shell variable
  285 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  286 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  287 # since that might cause problem with VPATH rewrites for suffix-less tests.
  288 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  289 am__set_TESTS_bases = \
  290   bases='$(TEST_LOGS)'; \
  291   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  292   bases=`echo $$bases`
  293 RECHECK_LOGS = $(TEST_LOGS)
  294 AM_RECURSIVE_TARGETS = check recheck
  295 TEST_SUITE_LOG = test-suite.log
  296 TEST_EXTENSIONS = @EXEEXT@ .test
  297 LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
  298 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  299 am__set_b = \
  300   case '$@' in \
  301     */*) \
  302       case '$*' in \
  303         */*) b='$*';; \
  304           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  305        esac;; \
  306     *) \
  307       b='$*';; \
  308   esac
  309 am__test_logs1 = $(TESTS:=.log)
  310 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  311 TEST_LOGS = $(am__test_logs2:.test.log=.log)
  312 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
  313 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  314 	$(TEST_LOG_FLAGS)
  315 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  316 ACLOCAL = @ACLOCAL@
  317 AMTAR = @AMTAR@
  318 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  319 AUTOCONF = @AUTOCONF@
  320 AUTOHEADER = @AUTOHEADER@
  321 AUTOMAKE = @AUTOMAKE@
  322 AWK = @AWK@
  323 CC = @CC@
  324 CCDEPMODE = @CCDEPMODE@
  325 CFLAGS = @CFLAGS@
  326 CPP = @CPP@
  327 CPPFLAGS = @CPPFLAGS@
  328 CYGPATH_W = @CYGPATH_W@
  329 DEFS = @DEFS@
  330 DEPDIR = @DEPDIR@
  331 ECHO_C = @ECHO_C@
  332 ECHO_N = @ECHO_N@
  333 ECHO_T = @ECHO_T@
  334 EGREP = @EGREP@
  335 EXEEXT = @EXEEXT@
  336 GREP = @GREP@
  337 INSTALL = @INSTALL@
  338 INSTALL_DATA = @INSTALL_DATA@
  339 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  340 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  341 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  342 LDFLAGS = @LDFLAGS@
  343 LIBOBJS = @LIBOBJS@
  344 LIBS = @LIBS@
  345 LTLIBOBJS = @LTLIBOBJS@
  346 MAINT = @MAINT@
  347 MAKEINFO = @MAKEINFO@
  348 MKDIR_P = @MKDIR_P@
  349 OBJEXT = @OBJEXT@
  350 PACKAGE = @PACKAGE@
  351 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  352 PACKAGE_NAME = @PACKAGE_NAME@
  353 PACKAGE_STRING = @PACKAGE_STRING@
  354 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  355 PACKAGE_URL = @PACKAGE_URL@
  356 PACKAGE_VERSION = @PACKAGE_VERSION@
  357 PATH_SEPARATOR = @PATH_SEPARATOR@
  358 SET_MAKE = @SET_MAKE@
  359 SHELL = @SHELL@
  360 STRIP = @STRIP@
  361 VERSION = @VERSION@
  362 abs_builddir = @abs_builddir@
  363 abs_srcdir = @abs_srcdir@
  364 abs_top_builddir = @abs_top_builddir@
  365 abs_top_srcdir = @abs_top_srcdir@
  366 ac_ct_CC = @ac_ct_CC@
  367 am__include = @am__include@
  368 am__leading_dot = @am__leading_dot@
  369 am__quote = @am__quote@
  370 am__tar = @am__tar@
  371 am__untar = @am__untar@
  372 bindir = @bindir@
  373 build = @build@
  374 build_alias = @build_alias@
  375 build_cpu = @build_cpu@
  376 build_os = @build_os@
  377 build_vendor = @build_vendor@
  378 builddir = @builddir@
  379 datadir = @datadir@
  380 datarootdir = @datarootdir@
  381 docdir = @docdir@
  382 dvidir = @dvidir@
  383 exec_prefix = @exec_prefix@
  384 host = @host@
  385 host_alias = @host_alias@
  386 host_cpu = @host_cpu@
  387 host_os = @host_os@
  388 host_vendor = @host_vendor@
  389 htmldir = @htmldir@
  390 includedir = @includedir@
  391 infodir = @infodir@
  392 install_sh = @install_sh@
  393 libdir = @libdir@
  394 libexecdir = @libexecdir@
  395 localedir = @localedir@
  396 localstatedir = @localstatedir@
  397 mandir = @mandir@
  398 mkdir_p = @mkdir_p@
  399 oldincludedir = @oldincludedir@
  400 pdfdir = @pdfdir@
  401 prefix = @prefix@
  402 program_transform_name = @program_transform_name@
  403 psdir = @psdir@
  404 sbindir = @sbindir@
  405 sharedstatedir = @sharedstatedir@
  406 srcdir = @srcdir@
  407 sysconfdir = @sysconfdir@
  408 target_alias = @target_alias@
  409 top_build_prefix = @top_build_prefix@
  410 top_builddir = @top_builddir@
  411 top_srcdir = @top_srcdir@
  412 
  413 # executable test scripts to perform
  414 TESTS = test_html.sh test_latex.sh test_text.sh
  415 
  416 # the data set for the tests
  417 testdata = \
  418 	accents.rtf \
  419 	ascii_decimal.rtf \
  420 	backslash.rtf \
  421 	body.rtf \
  422 	borders_shading.rtf \
  423 	braces.rtf \
  424 	character_formatting.rtf \
  425 	chars.rtf \
  426 	columns.rtf \
  427 	cp1251-russian-alphabet.rtf \
  428 	emfpict.rtf \
  429 	EndNote.rtf \
  430 	font_size.rtf \
  431 	font_styles.rtf \
  432 	Greek1.rtf \
  433 	Greek2.rtf \
  434 	left-double-quotes.rtf \
  435 	lists.rtf \
  436 	opensymbols.rtf \
  437 	paragraph_formatting.rtf \
  438 	pict.rtf \
  439 	pictNotIgnored.rtf \
  440 	quotes.rtf \
  441 	symbol.rtf \
  442 	text_color.rtf \
  443 	text_formatting.rtf \
  444 	Turkish.rtf \
  445 	unicode4.rtf \
  446 	unnested.rtf
  447 
  448 
  449 # the result set for the html test
  450 testresults_html = \
  451 	accents.rtf.html \
  452 	ascii_decimal.rtf.html \
  453         backslash.rtf.html \
  454 	body.rtf.html \
  455         borders_shading.rtf.html \
  456         braces.rtf.html \
  457         character_formatting.rtf.html \
  458         chars.rtf.html \
  459         columns.rtf.html \
  460 	cp1251-russian-alphabet.rtf.html \
  461 	emfpict.rtf.html \
  462 	EndNote.rtf.html \
  463         font_size.rtf.html \
  464         font_styles.rtf.html \
  465 	Greek1.rtf.html \
  466 	Greek2.rtf.html  \
  467 	left-double-quotes.rtf.html \
  468         lists.rtf.html \
  469 	opensymbols.rtf.html \
  470         paragraph_formatting.rtf.html \
  471 	pict.rtf.html \
  472 	pictNotIgnored.rtf.html \
  473 	quotes.rtf.html \
  474         symbol.rtf.html \
  475         text_color.rtf.html \
  476         text_formatting.rtf.html \
  477 	Turkish.rtf.html \
  478         unicode4.rtf.html \
  479 	unnested.rtf.html
  480 
  481 
  482 # the result set for the latex test
  483 testresults_tex = \
  484 	accents.rtf.tex \
  485 	ascii_decimal.rtf.tex \
  486         backslash.rtf.tex \
  487 	body.rtf.tex \
  488         borders_shading.rtf.tex \
  489         braces.rtf.tex \
  490         character_formatting.rtf.tex \
  491         chars.rtf.tex \
  492         columns.rtf.tex \
  493 	cp1251-russian-alphabet.rtf.tex \
  494 	emfpict.rtf.tex \
  495 	EndNote.rtf.tex \
  496         font_size.rtf.tex \
  497         font_styles.rtf.tex \
  498 	Greek1.rtf.tex \
  499 	Greek2.rtf.tex  \
  500 	left-double-quotes.rtf.tex \
  501         lists.rtf.tex \
  502 	pictNotIgnored.rtf.tex \
  503 	opensymbols.rtf.tex \
  504         paragraph_formatting.rtf.tex \
  505 	pict.rtf.tex \
  506 	quotes.rtf.tex \
  507         symbol.rtf.tex \
  508         text_color.rtf.tex \
  509         text_formatting.rtf.tex \
  510 	Turkish.rtf.tex \
  511         unicode4.rtf.tex \
  512 	unnested.rtf.tex
  513 
  514 
  515 # the result set for the text test
  516 testresults_text = \
  517 	accents.rtf.text \
  518 	ascii_decimal.rtf.text \
  519         backslash.rtf.text \
  520 	body.rtf.text \
  521         borders_shading.rtf.text \
  522         braces.rtf.text \
  523         character_formatting.rtf.text \
  524         chars.rtf.text \
  525         columns.rtf.text \
  526 	cp1251-russian-alphabet.rtf.text \
  527 	emfpict.rtf.text \
  528 	EndNote.rtf.text \
  529         font_size.rtf.text \
  530         font_styles.rtf.text \
  531 	Greek1.rtf.text \
  532 	Greek2.rtf.text  \
  533 	left-double-quotes.rtf.text \
  534         lists.rtf.text \
  535 	opensymbols.rtf.text \
  536         paragraph_formatting.rtf.text \
  537 	pict.rtf.text \
  538 	pictNotIgnored.rtf.text \
  539 	quotes.rtf.text \
  540         symbol.rtf.text \
  541         text_color.rtf.text \
  542         text_formatting.rtf.text \
  543 	Turkish.rtf.text \
  544         unicode4.rtf.text \
  545 	unnested.rtf.text
  546 
  547 
  548 # need to wipe out test results on make clean
  549 CLEANFILES = $(testresults_html) $(testresults_tex) $(testresults_text) pict0*.*
  550 
  551 # add the test scripts and the test data to the distributed files
  552 EXTRA_DIST = $(TESTS) $(testdata)
  553 TESTS_ENVIRONMENT = UNRTF=$(top_builddir)/src/unrtf UNRTF_SEARCH_PATH=$(top_builddir)/outputs/
  554 all: all-am
  555 
  556 .SUFFIXES:
  557 .SUFFIXES: .log .test .test$(EXEEXT) .trs
  558 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
  559 	@for dep in $?; do \
  560 	  case '$(am__configure_deps)' in \
  561 	    *$$dep*) \
  562 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  563 	        && { if test -f $@; then exit 0; else break; fi; }; \
  564 	      exit 1;; \
  565 	  esac; \
  566 	done; \
  567 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
  568 	$(am__cd) $(top_srcdir) && \
  569 	  $(AUTOMAKE) --gnu tests/Makefile
  570 .PRECIOUS: Makefile
  571 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  572 	@case '$?' in \
  573 	  *config.status*) \
  574 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  575 	  *) \
  576 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  577 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  578 	esac;
  579 
  580 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  581 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  582 
  583 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  584 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  585 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  586 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  587 $(am__aclocal_m4_deps):
  588 tags TAGS:
  589 
  590 ctags CTAGS:
  591 
  592 cscope cscopelist:
  593 
  594 
  595 # Recover from deleted '.trs' file; this should ensure that
  596 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  597 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
  598 # to avoid problems with "make -n".
  599 .log.trs:
  600 	rm -f $< $@
  601 	$(MAKE) $(AM_MAKEFLAGS) $<
  602 
  603 # Leading 'am--fnord' is there to ensure the list of targets does not
  604 # expand to empty, as could happen e.g. with make check TESTS=''.
  605 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  606 am--force-recheck:
  607 	@:
  608 
  609 $(TEST_SUITE_LOG): $(TEST_LOGS)
  610 	@$(am__set_TESTS_bases); \
  611 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  612 	redo_bases=`for i in $$bases; do \
  613 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  614 	            done`; \
  615 	if test -n "$$redo_bases"; then \
  616 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  617 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  618 	  if $(am__make_dryrun); then :; else \
  619 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  620 	  fi; \
  621 	fi; \
  622 	if test -n "$$am__remaking_logs"; then \
  623 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  624 	       "recursion detected" >&2; \
  625 	else \
  626 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  627 	fi; \
  628 	if $(am__make_dryrun); then :; else \
  629 	  st=0;  \
  630 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  631 	  for i in $$redo_bases; do \
  632 	    test -f $$i.trs && test -r $$i.trs \
  633 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  634 	    test -f $$i.log && test -r $$i.log \
  635 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  636 	  done; \
  637 	  test $$st -eq 0 || exit 1; \
  638 	fi
  639 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  640 	ws='[ 	]'; \
  641 	results=`for b in $$bases; do echo $$b.trs; done`; \
  642 	test -n "$$results" || results=/dev/null; \
  643 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
  644 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
  645 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
  646 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
  647 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  648 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  649 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  650 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  651 	  success=true; \
  652 	else \
  653 	  success=false; \
  654 	fi; \
  655 	br='==================='; br=$$br$$br$$br$$br; \
  656 	result_count () \
  657 	{ \
  658 	    if test x"$$1" = x"--maybe-color"; then \
  659 	      maybe_colorize=yes; \
  660 	    elif test x"$$1" = x"--no-color"; then \
  661 	      maybe_colorize=no; \
  662 	    else \
  663 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  664 	    fi; \
  665 	    shift; \
  666 	    desc=$$1 count=$$2; \
  667 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
  668 	      color_start=$$3 color_end=$$std; \
  669 	    else \
  670 	      color_start= color_end=; \
  671 	    fi; \
  672 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
  673 	}; \
  674 	create_testsuite_report () \
  675 	{ \
  676 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
  677 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
  678 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
  679 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  680 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
  681 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
  682 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
  683 	}; \
  684 	{								\
  685 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
  686 	    $(am__rst_title);						\
  687 	  create_testsuite_report --no-color;				\
  688 	  echo;								\
  689 	  echo ".. contents:: :depth: 2";				\
  690 	  echo;								\
  691 	  for b in $$bases; do echo $$b; done				\
  692 	    | $(am__create_global_log);					\
  693 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
  694 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
  695 	if $$success; then						\
  696 	  col="$$grn";							\
  697 	 else								\
  698 	  col="$$red";							\
  699 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
  700 	fi;								\
  701 	echo "$${col}$$br$${std}"; 					\
  702 	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
  703 	echo "$${col}$$br$${std}"; 					\
  704 	create_testsuite_report --maybe-color;				\
  705 	echo "$$col$$br$$std";						\
  706 	if $$success; then :; else					\
  707 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
  708 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
  709 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
  710 	  fi;								\
  711 	  echo "$$col$$br$$std";					\
  712 	fi;								\
  713 	$$success || exit 1
  714 
  715 check-TESTS:
  716 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
  717 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  718 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  719 	@set +e; $(am__set_TESTS_bases); \
  720 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  721 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  722 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  723 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  724 	exit $$?;
  725 recheck: all 
  726 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  727 	@set +e; $(am__set_TESTS_bases); \
  728 	bases=`for i in $$bases; do echo $$i; done \
  729 	         | $(am__list_recheck_tests)` || exit 1; \
  730 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  731 	log_list=`echo $$log_list`; \
  732 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  733 	        am__force_recheck=am--force-recheck \
  734 	        TEST_LOGS="$$log_list"; \
  735 	exit $$?
  736 test_html.sh.log: test_html.sh
  737 	@p='test_html.sh'; \
  738 	b='test_html.sh'; \
  739 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  740 	--log-file $$b.log --trs-file $$b.trs \
  741 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  742 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  743 test_latex.sh.log: test_latex.sh
  744 	@p='test_latex.sh'; \
  745 	b='test_latex.sh'; \
  746 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  747 	--log-file $$b.log --trs-file $$b.trs \
  748 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  749 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  750 test_text.sh.log: test_text.sh
  751 	@p='test_text.sh'; \
  752 	b='test_text.sh'; \
  753 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  754 	--log-file $$b.log --trs-file $$b.trs \
  755 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  756 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  757 .test.log:
  758 	@p='$<'; \
  759 	$(am__set_b); \
  760 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  761 	--log-file $$b.log --trs-file $$b.trs \
  762 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  763 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  764 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  765 @am__EXEEXT_TRUE@	@p='$<'; \
  766 @am__EXEEXT_TRUE@	$(am__set_b); \
  767 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  768 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
  769 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  770 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
  771 
  772 distdir: $(DISTFILES)
  773 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  774 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  775 	list='$(DISTFILES)'; \
  776 	  dist_files=`for file in $$list; do echo $$file; done | \
  777 	  sed -e "s|^$$srcdirstrip/||;t" \
  778 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  779 	case $$dist_files in \
  780 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  781 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  782 			   sort -u` ;; \
  783 	esac; \
  784 	for file in $$dist_files; do \
  785 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  786 	  if test -d $$d/$$file; then \
  787 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  788 	    if test -d "$(distdir)/$$file"; then \
  789 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  790 	    fi; \
  791 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  792 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  793 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  794 	    fi; \
  795 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  796 	  else \
  797 	    test -f "$(distdir)/$$file" \
  798 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  799 	    || exit 1; \
  800 	  fi; \
  801 	done
  802 	$(MAKE) $(AM_MAKEFLAGS) \
  803 	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
  804 	  dist-hook
  805 check-am: all-am
  806 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
  807 check: check-am
  808 all-am: Makefile
  809 installdirs:
  810 install: install-am
  811 install-exec: install-exec-am
  812 install-data: install-data-am
  813 uninstall: uninstall-am
  814 
  815 install-am: all-am
  816 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  817 
  818 installcheck: installcheck-am
  819 install-strip:
  820 	if test -z '$(STRIP)'; then \
  821 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  822 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  823 	      install; \
  824 	else \
  825 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  826 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  827 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  828 	fi
  829 mostlyclean-generic:
  830 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  831 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  832 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  833 
  834 clean-generic:
  835 	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  836 
  837 distclean-generic:
  838 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  839 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  840 
  841 maintainer-clean-generic:
  842 	@echo "This command is intended for maintainers to use"
  843 	@echo "it deletes files that may require special tools to rebuild."
  844 clean: clean-am
  845 
  846 clean-am: clean-generic mostlyclean-am
  847 
  848 distclean: distclean-am
  849 	-rm -f Makefile
  850 distclean-am: clean-am distclean-generic
  851 
  852 dvi: dvi-am
  853 
  854 dvi-am:
  855 
  856 html: html-am
  857 
  858 html-am:
  859 
  860 info: info-am
  861 
  862 info-am:
  863 
  864 install-data-am:
  865 
  866 install-dvi: install-dvi-am
  867 
  868 install-dvi-am:
  869 
  870 install-exec-am:
  871 
  872 install-html: install-html-am
  873 
  874 install-html-am:
  875 
  876 install-info: install-info-am
  877 
  878 install-info-am:
  879 
  880 install-man:
  881 
  882 install-pdf: install-pdf-am
  883 
  884 install-pdf-am:
  885 
  886 install-ps: install-ps-am
  887 
  888 install-ps-am:
  889 
  890 installcheck-am:
  891 
  892 maintainer-clean: maintainer-clean-am
  893 	-rm -f Makefile
  894 maintainer-clean-am: distclean-am maintainer-clean-generic
  895 
  896 mostlyclean: mostlyclean-am
  897 
  898 mostlyclean-am: mostlyclean-generic
  899 
  900 pdf: pdf-am
  901 
  902 pdf-am:
  903 
  904 ps: ps-am
  905 
  906 ps-am:
  907 
  908 uninstall-am:
  909 
  910 .MAKE: check-am install-am install-strip
  911 
  912 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
  913 	cscopelist-am ctags-am dist-hook distclean distclean-generic \
  914 	distdir dvi dvi-am html html-am info info-am install \
  915 	install-am install-data install-data-am install-dvi \
  916 	install-dvi-am install-exec install-exec-am install-html \
  917 	install-html-am install-info install-info-am install-man \
  918 	install-pdf install-pdf-am install-ps install-ps-am \
  919 	install-strip installcheck installcheck-am installdirs \
  920 	maintainer-clean maintainer-clean-generic mostlyclean \
  921 	mostlyclean-generic pdf pdf-am ps ps-am recheck tags-am \
  922 	uninstall uninstall-am
  923 
  924 
  925 # ensure that the distributed scripts are executable before distribution.
  926 # Could be necessary if checking out CVS.
  927 dist-hook:
  928 	cd $(distdir); for i in $(TESTS); do chmod +x $$i; done
  929 
  930 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  931 # Otherwise a system limit (for SysV at least) may be exceeded.
  932 .NOEXPORT: